<html>
<head>
<title>Ogre::D3D9Resource Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D9Resource.html">D3D9Resource</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::D3D9Resource Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::D3D9Resource" -->
<p>Represents a Direct3D rendering resource.  
 <a href="classOgre_1_1D3D9Resource.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreD3D9Resource_8h_source.html">OgreD3D9Resource.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::D3D9Resource:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1D3D9Resource__inherit__graph.gif" border="0" usemap="#Ogre_1_1D3D9Resource_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1D3D9Resource_inherit__map" id="Ogre_1_1D3D9Resource_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1D3D9GpuProgram.html" title="Direct3D implementation of a few things common to low&#45;level vertex &amp; fragment programs." alt="" coords="241,32,407,61"/><area shape="rect" id="node9" href="classOgre_1_1D3D9HardwareIndexBuffer.html" title="Ogre::D3D9HardwareIndexBuffer" alt="" coords="217,85,431,115"/><area shape="rect" id="node11" href="classOgre_1_1D3D9HardwareOcclusionQuery.html" title="This is a class that is the DirectX9 implementation of hardware occlusion testing." alt="" coords="204,139,444,168"/><area shape="rect" id="node13" href="classOgre_1_1D3D9HardwareVertexBuffer.html" title="Specialisation of HardwareVertexBuffer for D3D9." alt="" coords="213,192,435,221"/><area shape="rect" id="node15" href="classOgre_1_1D3D9Texture.html" title="Ogre::D3D9Texture" alt="" coords="256,245,392,275"/><area shape="rect" id="node17" href="classOgre_1_1D3D9VertexDeclaration.html" title="Specialisation of VertexDeclaration for D3D9." alt="" coords="227,299,421,328"/><area shape="rect" id="node5" href="classOgre_1_1D3D9GpuFragmentProgram.html" title="Direct3D implementation of low&#45;level fragment programs." alt="" coords="495,5,713,35"/><area shape="rect" id="node7" href="classOgre_1_1D3D9GpuVertexProgram.html" title="Direct3D implementation of low&#45;level vertex programs." alt="" coords="503,59,705,88"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1D3D9Resource-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Resource.html#ac2b865b0cd4754552c38fd6c6f83064f">notifyOnDeviceCreate</a> (IDirect3DDevice9 *d3d9Device)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Resource.html#a1ceaf6c7f17b55a2dfb818360bb8a97b">notifyOnDeviceDestroy</a> (IDirect3DDevice9 *d3d9Device)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Resource.html#a8d55f1d5ce61a1b796d8d86dd3c69fdb">notifyOnDeviceLost</a> (IDirect3DDevice9 *d3d9Device)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Resource.html#a9008da922e8b8762ac284cc1f08a0749">notifyOnDeviceReset</a> (IDirect3DDevice9 *d3d9Device)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Resource.html#a365b849131099fbb397203fff8eebae6">D3D9Resource</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Resource.html#a1ecf872a0653d44f6078a57a17fd9eea">~D3D9Resource</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Resource.html#aa97afae987b0c0f16c3e232a7317fad5">lockDeviceAccess</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9Resource.html#a6fc9c0ebe4a4c559b172f25f3b5dc9d8">unlockDeviceAccess</a> ()</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Represents a Direct3D rendering resource. </p>
<p>Provide unified interface to handle various device states. </p>

<p>Definition at line <a class="el" href="OgreD3D9Resource_8h_source.html#l00039">39</a> of file <a class="el" href="OgreD3D9Resource_8h_source.html">OgreD3D9Resource.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a365b849131099fbb397203fff8eebae6"></a><!-- doxytag: member="Ogre::D3D9Resource::D3D9Resource" ref="a365b849131099fbb397203fff8eebae6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D9Resource.html#a365b849131099fbb397203fff8eebae6">Ogre::D3D9Resource::D3D9Resource</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a1ecf872a0653d44f6078a57a17fd9eea"></a><!-- doxytag: member="Ogre::D3D9Resource::~D3D9Resource" ref="a1ecf872a0653d44f6078a57a17fd9eea" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1D3D9Resource.html#a1ecf872a0653d44f6078a57a17fd9eea">Ogre::D3D9Resource::~D3D9Resource</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aa97afae987b0c0f16c3e232a7317fad5"></a><!-- doxytag: member="Ogre::D3D9Resource::lockDeviceAccess" ref="aa97afae987b0c0f16c3e232a7317fad5" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1D3D9Resource.html#aa97afae987b0c0f16c3e232a7317fad5">Ogre::D3D9Resource::lockDeviceAccess</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ac2b865b0cd4754552c38fd6c6f83064f"></a><!-- doxytag: member="Ogre::D3D9Resource::notifyOnDeviceCreate" ref="ac2b865b0cd4754552c38fd6c6f83064f" args="(IDirect3DDevice9 *d3d9Device)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1D3D9Resource.html#ac2b865b0cd4754552c38fd6c6f83064f">Ogre::D3D9Resource::notifyOnDeviceCreate</a> </td>
          <td>(</td>
          <td class="paramtype">IDirect3DDevice9 *&#160;</td>
          <td class="paramname"><em>d3d9Device</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented in <a class="el" href="classOgre_1_1D3D9Texture.html#afb69d75b785af9cb8698f310bd0907cc">Ogre::D3D9Texture</a>, <a class="el" href="classOgre_1_1D3D9GpuFragmentProgram.html#aa1ab1e6ed3e073267ef5a49042e9320c">Ogre::D3D9GpuFragmentProgram</a>, <a class="el" href="classOgre_1_1D3D9GpuVertexProgram.html#ac5600ce345e8dbeda7ba76b6c778ec7d">Ogre::D3D9GpuVertexProgram</a>, <a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html#a7b0b0ad594195deeb8e5ef40aaa7bce8">Ogre::D3D9HardwareOcclusionQuery</a>, <a class="el" href="classOgre_1_1D3D9VertexDeclaration.html#afe9b5394456063cae5b95d512cc54cc0">Ogre::D3D9VertexDeclaration</a>, <a class="el" href="classOgre_1_1D3D9HardwareIndexBuffer.html#a4ca429980801a294cfd1a1d130069a17">Ogre::D3D9HardwareIndexBuffer</a>, and <a class="el" href="classOgre_1_1D3D9HardwareVertexBuffer.html#a5d8a47914f14a9cdbb82a0cdc376d089">Ogre::D3D9HardwareVertexBuffer</a>.</p>

<p>Definition at line <a class="el" href="OgreD3D9Resource_8h_source.html#l00046">46</a> of file <a class="el" href="OgreD3D9Resource_8h_source.html">OgreD3D9Resource.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1ceaf6c7f17b55a2dfb818360bb8a97b"></a><!-- doxytag: member="Ogre::D3D9Resource::notifyOnDeviceDestroy" ref="a1ceaf6c7f17b55a2dfb818360bb8a97b" args="(IDirect3DDevice9 *d3d9Device)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1D3D9Resource.html#a1ceaf6c7f17b55a2dfb818360bb8a97b">Ogre::D3D9Resource::notifyOnDeviceDestroy</a> </td>
          <td>(</td>
          <td class="paramtype">IDirect3DDevice9 *&#160;</td>
          <td class="paramname"><em>d3d9Device</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented in <a class="el" href="classOgre_1_1D3D9Texture.html#a5c6c0349c15cc698f016fa4fe9e0846b">Ogre::D3D9Texture</a>, <a class="el" href="classOgre_1_1D3D9GpuFragmentProgram.html#a009e381b04334a97e0a405a292f42c87">Ogre::D3D9GpuFragmentProgram</a>, <a class="el" href="classOgre_1_1D3D9GpuVertexProgram.html#a006fd3fc3c4dc9ade4624525a613afa5">Ogre::D3D9GpuVertexProgram</a>, <a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html#a408cfb33ff98feb4f3f0b7941f746614">Ogre::D3D9HardwareOcclusionQuery</a>, <a class="el" href="classOgre_1_1D3D9VertexDeclaration.html#a5a91d9a841eca45392494b2444968029">Ogre::D3D9VertexDeclaration</a>, <a class="el" href="classOgre_1_1D3D9HardwareIndexBuffer.html#a1b0eff3e5d307580fd3ca069a92555a4">Ogre::D3D9HardwareIndexBuffer</a>, and <a class="el" href="classOgre_1_1D3D9HardwareVertexBuffer.html#a6186505fded3423ad279e8a9671481d6">Ogre::D3D9HardwareVertexBuffer</a>.</p>

<p>Definition at line <a class="el" href="OgreD3D9Resource_8h_source.html#l00049">49</a> of file <a class="el" href="OgreD3D9Resource_8h_source.html">OgreD3D9Resource.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8d55f1d5ce61a1b796d8d86dd3c69fdb"></a><!-- doxytag: member="Ogre::D3D9Resource::notifyOnDeviceLost" ref="a8d55f1d5ce61a1b796d8d86dd3c69fdb" args="(IDirect3DDevice9 *d3d9Device)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1D3D9Resource.html#a8d55f1d5ce61a1b796d8d86dd3c69fdb">Ogre::D3D9Resource::notifyOnDeviceLost</a> </td>
          <td>(</td>
          <td class="paramtype">IDirect3DDevice9 *&#160;</td>
          <td class="paramname"><em>d3d9Device</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented in <a class="el" href="classOgre_1_1D3D9Texture.html#a87c0bc1fea93de0e2cd65fa2dc374fd8">Ogre::D3D9Texture</a>, <a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html#a6dea06e309f77051404ae1e0fb761e39">Ogre::D3D9HardwareOcclusionQuery</a>, <a class="el" href="classOgre_1_1D3D9HardwareIndexBuffer.html#ab23fb340055333aee5801dbabea1fd6d">Ogre::D3D9HardwareIndexBuffer</a>, and <a class="el" href="classOgre_1_1D3D9HardwareVertexBuffer.html#ae3e1077c9d54bb6bcb9f8cdc68da1dd1">Ogre::D3D9HardwareVertexBuffer</a>.</p>

<p>Definition at line <a class="el" href="OgreD3D9Resource_8h_source.html#l00053">53</a> of file <a class="el" href="OgreD3D9Resource_8h_source.html">OgreD3D9Resource.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9008da922e8b8762ac284cc1f08a0749"></a><!-- doxytag: member="Ogre::D3D9Resource::notifyOnDeviceReset" ref="a9008da922e8b8762ac284cc1f08a0749" args="(IDirect3DDevice9 *d3d9Device)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1D3D9Resource.html#a9008da922e8b8762ac284cc1f08a0749">Ogre::D3D9Resource::notifyOnDeviceReset</a> </td>
          <td>(</td>
          <td class="paramtype">IDirect3DDevice9 *&#160;</td>
          <td class="paramname"><em>d3d9Device</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented in <a class="el" href="classOgre_1_1D3D9Texture.html#adc3440ed2fd6447de424908e650b86ae">Ogre::D3D9Texture</a>, <a class="el" href="classOgre_1_1D3D9HardwareOcclusionQuery.html#a25a10de153b672d9a7a64278cd57eeae">Ogre::D3D9HardwareOcclusionQuery</a>, <a class="el" href="classOgre_1_1D3D9HardwareIndexBuffer.html#a739f49c9d66d04445cb306cf548fed06">Ogre::D3D9HardwareIndexBuffer</a>, and <a class="el" href="classOgre_1_1D3D9HardwareVertexBuffer.html#aa0edb44f392cdaacb8f77acebd16b739">Ogre::D3D9HardwareVertexBuffer</a>.</p>

<p>Definition at line <a class="el" href="OgreD3D9Resource_8h_source.html#l00057">57</a> of file <a class="el" href="OgreD3D9Resource_8h_source.html">OgreD3D9Resource.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6fc9c0ebe4a4c559b172f25f3b5dc9d8"></a><!-- doxytag: member="Ogre::D3D9Resource::unlockDeviceAccess" ref="a6fc9c0ebe4a4c559b172f25f3b5dc9d8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1D3D9Resource.html#a6fc9c0ebe4a4c559b172f25f3b5dc9d8">Ogre::D3D9Resource::unlockDeviceAccess</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreD3D9Resource_8h_source.html">OgreD3D9Resource.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:16
</p>
</body>
</html>
